hpp-corbaserver: _objref_ConfigValidation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_ConfigValidation Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _objref_ConfigValidation:
[legend]
Collaboration diagram for _objref_ConfigValidation:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | validate (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)
| _objref_ConfigValidation ()
| _objref_ConfigValidation (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_ConfigValidation ()

## Friends
class | ConfigValidation

## Constructor & Destructor Documentation

## ◆ _objref_ConfigValidation() [1/2]

_objref_ConfigValidation::_objref_ConfigValidation | ( |  | ) |
| inline

## ◆ _objref_ConfigValidation() [2/2]

_objref_ConfigValidation::_objref_ConfigValidation | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_ConfigValidation()

virtual _objref_ConfigValidation::~_objref_ConfigValidation | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_ConfigValidation::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_ConfigValidation::deleteThis | ( |  | ) |

## ◆ persistantStorage()

void _objref_ConfigValidation::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ validate()

::CORBA::Boolean _objref_ConfigValidation::validate | ( | const ::hpp::floatSeq & | config,
|  | ::hpp::core_idl::ValidationReport_out | report
| ) |  |

## Friends And Related Symbol Documentation

## ◆ ConfigValidation

friend class ConfigValidation
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh